org.restlet.security

## Class Group

- java.lang.Object
- - org.restlet.security.Group

    public class Group
    extends java.lang.Object

Group that contains member groups and users.

Author:
  Jerome Louvel

### Constructor Summary

Constructors
Constructor and Description
`Group()` Default constructor.
`Group(java.lang.String name, java.lang.String description)` Constructor.
`Group(java.lang.String name, java.lang.String description, boolean inheritingRoles)` Constructor.

### Method Summary

Methods
`java.lang.String` `getDescription()` Returns the description.
`java.util.List<Group>` `getMemberGroups()` Returns the modifiable list of member groups.
`java.util.List<User>` `getMemberUsers()`
`java.lang.String` `getName()` Returns the display name.
`boolean` `isInheritingRoles()` Indicates if the roles of the parent group should be inherited.
`void` `setDescription(java.lang.String description)` Sets the description.
`void` `setInheritingRoles(boolean inheritingRoles)` Indicates if the roles of the parent group should be inherited.
`void` `setMemberGroups(java.util.List<Group> memberGroups)` Sets the modifiable list of member groups.
`void` `setMemberUsers(java.util.List<User> memberUsers)` Sets the modifiable list of member user references.
`void` `setName(java.lang.String name)` Sets the display name.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Group

    public Group()

Default constructor. Note that roles are inherited by default.

#### Group

    public Group(java.lang.String name,
         java.lang.String description)

Constructor. Note that roles are inherited by default.

Parameters:
  `name` - The display name.
  `description` - The description.

#### Group

    public Group(java.lang.String name,
         java.lang.String description,
         boolean inheritingRoles)

Constructor.

Parameters:
  `name` - The display name.
  `description` - The description.
  `inheritingRoles` - Indicates if the roles of the parent group should be inherited.

### Method Detail

#### getDescription

    public java.lang.String getDescription()

Returns the description.

Returns:
  The description

#### getMemberGroups

    public java.util.List<Group> getMemberGroups()

Returns the modifiable list of member groups.

Returns:
  The modifiable list of member groups.

#### getMemberUsers

    public java.util.List<User> getMemberUsers()

#### getName

    public java.lang.String getName()

Returns the display name.

Returns:
  The display name.

#### isInheritingRoles

    public boolean isInheritingRoles()

Indicates if the roles of the parent group should be inherited. Those roles indirectly cover the granted or denied permissions.

Returns:
  True if the roles of the parent group should be inherited.

#### setDescription

    public void setDescription(java.lang.String description)

Sets the description.

Parameters:
  `description` - The description.

#### setInheritingRoles

    public void setInheritingRoles(boolean inheritingRoles)

Indicates if the roles of the parent group should be inherited. Those roles indirectly cover the granted or denied permissions.

Parameters:
  `inheritingRoles` - True if the roles of the parent group should be inherited.

#### setMemberGroups

    public void setMemberGroups(java.util.List<Group> memberGroups)

Sets the modifiable list of member groups. This method clears the current list and adds all entries in the parameter list.

Parameters:
  `memberGroups` - A list of member groups.

#### setMemberUsers

    public void setMemberUsers(java.util.List<User> memberUsers)

Sets the modifiable list of member user references. This method clears the current list and adds all entries in the parameter list.

Parameters:
  `memberUsers` - A list of member user references.

#### setName

    public void setName(java.lang.String name)

Sets the display name.

Parameters:
  `name` - The display name.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`